SPA API Tokens

SPA: Retrieves a paginated list of API Tokens

Returns a paginated list of API tokens for the authenticated user's client. Requires ROLE_INTEGRATOR or ROLE_ADMIN.

GET/api/spa/api-tokens

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Query Parameters

page
integerdefault:1

The collection page number

itemsPerPage
integerdefault:20

The number of items per page

pagination
boolean

Enable or disable pagination

order[id]
stringdefault:asc

No description provided.

order[identifier]
stringdefault:asc

No description provided.

order[description]
stringdefault:asc

No description provided.

order[active]
stringdefault:asc

No description provided.

order[activeFrom]
stringdefault:asc

No description provided.

order[createdAt]
stringdefault:asc

No description provided.

order[updatedAt]
stringdefault:asc

No description provided.

search
string

Search across multiple fields (id, identifier, description, active, activeFrom, createdAt, updatedAt) using OR logic with partial matching.

active
boolean

No description provided.

activeFrom[before]
string

No description provided.

activeFrom[strictly_before]
string

No description provided.

activeFrom[after]
string

No description provided.

activeFrom[strictly_after]
string

No description provided.

Response

200application/json

ApiToken collection

id
integer

Identifier generated by Output.Rocks.

Example: 12345

identifier
stringrequired

Unique identifier

Example: "default"

description
stringrequired

ApiToken description

Example: "Any description"

createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

active
boolean

Active flag. Default: true

Available options: truefalse

Example: true

activeFrom
string<date-time>

Date to activate the entry. Default: today

Example: "2024-01-01"